// Copyright (C) 2003, 2004, 2005 Laboratoire de Recherche en Informatique

// This file is part of Qolyester.

// Qolyester is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// Qolyester is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef QOLYESTER_SRC_SWITCH_PRS_DATA_FWD_HH
# define QOLYESTER_SRC_SWITCH_PRS_DATA_FWD_HH 1

namespace olsr {

  namespace prs {

    namespace dot {

      class Visitor;
      class DefaultVisitor;

      class LocString;
      class Graph;
      class Stmt;
      class AttrStmt;
      template <class> class TagAttrStmt;
      class NodeStmt;
      class AttrAssignment;
      class EdgeStmt;
      class EdgeRHS;

      struct GraphTag;
      struct NodeTag;
      struct EdgeTag;

      typedef TagAttrStmt<GraphTag>	GraphAttrStmt;
      typedef TagAttrStmt<NodeTag>	NodeAttrStmt;
      typedef TagAttrStmt<EdgeTag>	EdgeAttrStmt;

    } // namespace dot

  } // namespace prs

} // namespace olsr

#endif // QOLYESTER_SRC_SWITCH_PRS_DATA_HH
